cdl

OpenAPI

OpenAPI Version: 3.0.1

Info


  Title: cisco-smi-cdl 
  Description:  
  Version: 2025-12-18 

Servers


  - URL: /restconf 

tags


  - Name: root 
    Description: root resources 
  - Name: operations 
    Description: operations resources 
  - Name: data 
    Description: data resources 
  - Name: get 
    Description: get resources 
  - Name: head 
    Description: head resources 
  - Name: post 
    Description: post resources 
  - Name: patch 
    Description: patch resources 
  - Name: put 
    Description: put resources 
  - Name: options 
    Description: options resources 
  - Name: delete 
    Description: delete resources 

Paths

/


  get: 
 
    Tags: 
    - root 
    - get 
    Operation ID: root_get 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/root" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - root 
    - head 
    Operation ID: root_head 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 

/operations


  get: 
 
    Tags: 
    - operations 
    - get 
    Operation ID: operations_get 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/operations" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 

/yang-library-version


  get: 
 
    Tags: 
    - yang-library-version 
    - get 
    Operation ID: yang_library_version_get 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/yang-library-version" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - yang-library-version 
    - head 
    Operation ID: yang_library_version_head 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 

/data


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_get 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data-put-patch" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: Created 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: data 
  Method: Post: 
 
    Tags: 
    - data 
    - post 
    Operation ID: data_post 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data-post" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: Created 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: data 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_head 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data-put-patch" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: data 

/data/cisco-smi-cdl:feature-gates


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_feature_gates_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_feature_gates_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: container feature-gates created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: feature-gates 
  Method: Post: 
 
    Tags: 
    - data 
    - post 
    Operation ID: data_cisco_smi_cdl_feature_gates_post 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates-post" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: container feature-gates created 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: feature-gates 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_feature_gates_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_feature_gates_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_feature_gates_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_feature_gates_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: container feature-gates updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: feature-gates 

/data/cisco-smi-cdl:feature-gates/alpha


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_feature_gates_alpha_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates_alpha" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_feature_gates_alpha_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates_alpha" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf alpha created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: alpha 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_feature_gates_alpha_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_feature_gates_alpha_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_feature_gates_alpha_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_feature_gates_alpha_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates_alpha" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf alpha updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: alpha 

/data/cisco-smi-cdl:feature-gates/test


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_feature_gates_test_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates_test" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_feature_gates_test_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates_test" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf test created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: test 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_feature_gates_test_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_feature_gates_test_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_feature_gates_test_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_feature_gates_test_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_feature-gates_test" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf test updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: test 

/data/cisco-smi-cdl:cdl


  get: 
 
    Tags: 
    - data 
    - get 
    Summary: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Operation ID: data_cisco_smi_cdl_cdl_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
          wont be deployed 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Summary: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Operation ID: data_cisco_smi_cdl_cdl_put 
    Request Body: 
      Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
        wont be deployed 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: container cdl created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: cdl 
  Method: Post: 
 
    Tags: 
    - data 
    - post 
    Summary: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Operation ID: data_cisco_smi_cdl_cdl_post 
    Request Body: 
      Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
        wont be deployed 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl-post" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: container cdl created 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: cdl 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Summary: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Operation ID: data_cisco_smi_cdl_cdl_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Summary: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Operation ID: data_cisco_smi_cdl_cdl_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Summary: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Operation ID: data_cisco_smi_cdl_cdl_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Summary: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
      wont be deployed 
    Operation ID: data_cisco_smi_cdl_cdl_patch 
    Request Body: 
      Description: Configure cdl parameters for deployment. If cdl container is not configured, the cdl chart 
        wont be deployed 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: container cdl updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: cdl 

/data/cisco-smi-cdl:cdl/repository


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_repository_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_repository" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_repository_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_repository" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf repository created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: repository 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_repository_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_repository_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_repository_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_repository_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_repository" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf repository updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: repository 

/data/cisco-smi-cdl:cdl/system-id


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_system_id_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_system-id" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_system_id_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_system-id" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf system-id created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: system-id 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_system_id_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_system_id_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_system_id_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_system_id_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_system-id" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf system-id updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: system-id 

/data/cisco-smi-cdl:cdl/node-type


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_node_type_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_node-type" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_node_type_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_node-type" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf node-type created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: node-type 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_node_type_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_node_type_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_node_type_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_node_type_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_node-type" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf node-type updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: node-type 

/data/cisco-smi-cdl:cdl/enable-geo-replication


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_enable_geo_replication_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_enable-geo-replication" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_enable_geo_replication_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_enable-geo-replication" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf enable-geo-replication created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: enable-geo-replication 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_enable_geo_replication_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_enable_geo_replication_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_enable_geo_replication_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_enable_geo_replication_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_enable-geo-replication" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf enable-geo-replication updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: enable-geo-replication 

/data/cisco-smi-cdl:cdl/deployment-model


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_deployment_model_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_deployment-model" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_deployment_model_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_deployment-model" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf deployment-model created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: deployment-model 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_deployment_model_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_deployment_model_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_deployment_model_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_deployment_model_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_deployment-model" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf deployment-model updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: deployment-model 

/data/cisco-smi-cdl:cdl/api


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_api_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_api_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: container api created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: api 
  Method: Post: 
 
    Tags: 
    - data 
    - post 
    Operation ID: data_cisco_smi_cdl_cdl_api_post 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api-post" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: container api created 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: api 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_api_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_api_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_api_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_api_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: container api updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: api 

/data/cisco-smi-cdl:cdl/api/deploy


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_api_deploy_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_deploy" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_api_deploy_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_deploy" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf deploy created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: deploy 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_api_deploy_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_api_deploy_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_api_deploy_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_api_deploy_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_deploy" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf deploy updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: deploy 

/data/cisco-smi-cdl:cdl/api/external-ip


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_api_external_ip_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_external-ip" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_api_external_ip_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_external-ip" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf external-ip created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: external-ip 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_api_external_ip_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_api_external_ip_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_api_external_ip_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_api_external_ip_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_external-ip" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf external-ip updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: external-ip 

/data/cisco-smi-cdl:cdl/api/storage


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_api_storage_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_storage" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_api_storage_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_storage" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf storage created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: storage 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_api_storage_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_api_storage_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_api_storage_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_api_storage_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_storage" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf storage updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: storage 

/data/cisco-smi-cdl:cdl/api/go-max-procs


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_api_go_max_procs_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_go-max-procs" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_api_go_max_procs_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_go-max-procs" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf go-max-procs created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: go-max-procs 
  delete: 
 
    Tags: 
    - data 
    - delete 
    Operation ID: data_cisco_smi_cdl_cdl_api_go_max_procs_delete 
 
    Responses: 
      "204": 
        Description: No Content 
        Content: {} 
    security: 
    - basicAuth: [] 
  options: 
 
    Tags: 
    - data 
    - options 
    Operation ID: data_cisco_smi_cdl_cdl_api_go_max_procs_options 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  head: 
 
    Tags: 
    - data 
    - head 
    Operation ID: data_cisco_smi_cdl_cdl_api_go_max_procs_head 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: {} 
    security: 
    - basicAuth: [] 
  patch: 
 
    Tags: 
    - data 
    - patch 
    Operation ID: data_cisco_smi_cdl_cdl_api_go_max_procs_patch 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_go-max-procs" 
      Required/Optional: true 
 
    Responses: 
      "204": 
        Description: leaf go-max-procs updated 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
    x-codegen-request-body-name: go-max-procs 

/data/cisco-smi-cdl:cdl/api/cpu-limit


  get: 
 
    Tags: 
    - data 
    - get 
    Operation ID: data_cisco_smi_cdl_cdl_api_cpu_limit_get 
 
    Parameters: 
    - Name: content 
      In: query 
      Description: controlling descendant nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: config 
        enum: 
        - config 
        - nonconfig 
        - all 
    - Name: depth 
      In: query 
      Description: limit the depth of nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: integer 
        Format: uint16 
    - Name: fields 
      In: query 
      Description: optionally identify specific data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: filter 
      In: query 
      Description: xpath expression to filter data nodes in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: string 
    - Name: with-defaults 
      In: query 
      Description: controlling default values in response 
      Required/Optional: false 
      Style: form 
      Explode: true 
      Schema: 
        Type: string 
        Format: enumeration 
        Default: report-all 
        enum: 
        - report-all 
        - trim 
        - explicit 
        - report-all-tagged 
 
    Responses: 
      "200": 
        Description: OK 
        Content: 
          application/yang-data+json: 
            Schema: 
              Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_cpu-limit" 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
        Content: {} 
      "404": 
        Description: Not Found 
        Content: {} 
      "405": 
        Description: Method Not Allowed 
        Content: {} 
      "409": 
        Description: Conflict 
        Content: {} 
    security: 
    - basicAuth: [] 
  put: 
 
    Tags: 
    - data 
    - put 
    Operation ID: data_cisco_smi_cdl_cdl_api_cpu_limit_put 
    Request Body: 
      Content: 
        application/yang-data+json: 
          Schema: 
            Reference: "#/components/schemas/data_cisco-smi-cdl_cdl_api_cpu-limit" 
      Required/Optional: true 
 
    Responses: 
      "201": 
        Description: leaf cpu-limit created or replaced 
        Content: {} 
      "204": 
        Description: No Content 
        Content: {} 
      "400": 
        Description: Bad Request 
        Content: {} 
      "401": 
        Description: Unauthorized 
[...]
